#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int veci(int n1, int n2)
{
    int veci;
    if(n1>=n2)
        return n1;
    else
        return n2;
}

int duzina(char br[]) {

    int brojac;
    for (brojac = 0; br[brojac] != '\0'; ++brojac);
    return brojac;
}
int main()
{
    char br1[1000], br2[1000],br3[1000];
    int n1,n2,n3,del,j, i;

    printf("prvi broj: ");
     scanf("%s", br1);
    n1 = duzina(br1);
    printf("\n");
    printf("drugi broj: ");
    scanf("%s", br2);
    n2 = duzina(br2);
    printf("\n");
    printf("duzine su %d %d\n", n1, n2);
    printf("%d\n", veci(n1,n2));
    j= veci(n1,n2);

     for(i=0;i<j;i++)
     {
         if(br1==br2)
         {
           br3[i]=br1[i];
             br3[i+1]=br2[i];
             j++;
         }
         else
            br3[i]=veci(br1[i],br2[i]);
     }
         for(i=0;i<j;i++)
         printf("%s\n", br3[i]);
}